org.jbpm.workflow.instance.node

## Class RuleSetNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
    - - org.jbpm.workflow.instance.node.StateBasedNodeInstance
      - - org.jbpm.workflow.instance.node.RuleSetNodeInstance

- All Implemented Interfaces:
    Serializable, ContextInstanceContainer, EventBasedNodeInstanceInterface, org.kie.api.runtime.process.EventListener, org.kie.api.runtime.process.NodeInstance

      public class RuleSetNodeInstance
      extends StateBasedNodeInstance
      implements org.kie.api.runtime.process.EventListener, ContextInstanceContainer

  Runtime counterpart of a ruleset node.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

    - ### Nested classes/interfaces inherited from interface org.jbpm.workflow.instance.NodeInstance

      `NodeInstance.CancelType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancelType, dynamicParameters, slaCompliance, slaDueDate, slaTimerId, triggerTime, UNIQUE_ID`

    - ### Fields inherited from interface org.jbpm.workflow.instance.NodeInstance

      `METADATA_WRAP_ASYNC_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleSetNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `actAsWaitState()`
    `void` | `addContextInstance(String contextId, ContextInstance contextInstance)`
    `void` | `addEventListeners()`
    `void` | `cancel(NodeInstance.CancelType cancelType)`
    `protected Map<String,Object>` | `evaluateParameters(RuleSetNode ruleSetNode)`
    `ContextContainer` | `getContextContainer()`
    `ContextInstance` | `getContextInstance(Context context)`
    `ContextInstance` | `getContextInstance(String contextId, long id)`
    `List<ContextInstance>` | `getContextInstances(String contextId)`
    `Map<String,org.kie.api.runtime.rule.FactHandle>` | `getFactHandles()`
    `String` | `getRuleFlowGroup()`
    `protected RuleSetNode` | `getRuleSetNode()`
    `protected Map<String,Object>` | `getSourceParameters(DataAssociation association)`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `protected void` | `processOutputs(Map<String,Object> objects)`
    `void` | `removeContextInstance(String contextId, ContextInstance contextInstance)`
    `void` | `removeEventListeners()`
    `void` | `retractFacts()`
    `void` | `setFactHandles(Map<String,org.kie.api.runtime.rule.FactHandle> factHandles)`
    `void` | `setRuleFlowGroup(String ruleFlowGroup)`
    `void` | `signalEvent(String type, Object event)`

    - ### Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance

      `addTimerListener, checkDeclarationMatch, checkProcessInstance, configureSla, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getEventTypes, getTimerInstances, handleSLAViolation, internalSetTimerInstances, mapDynamicOutputData, registerBoundaryEvents, resolveVariable, triggerCompleted, triggerCompleted`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

      `getExtendedNode, handleAssignment, mapOutputSetVariables, mapOutputSetVariables, triggerCompleted, triggerEvent`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, executeAction, followConnection, getCancelType, getExecutionErrorHandler, getFrom, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getTriggerTime, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isAborted, isInversionOfControl, resolveContext, resolveContextInstance, resolveContextInstance, retrigger, setAborted, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.runtime.process.EventListener

      `getEventTypes`

- - ### Constructor Detail

    - #### RuleSetNodeInstance

          public RuleSetNodeInstance()

  - ### Method Detail

    - #### getRuleSetNode

          protected RuleSetNode getRuleSetNode()

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Overrides:
        `internalTrigger` in class `StateBasedNodeInstance`

    - #### addEventListeners

          public void addEventListeners()

      Specified by:
        `addEventListeners` in interface `EventBasedNodeInstanceInterface`
      Overrides:
        `addEventListeners` in class `StateBasedNodeInstance`

    - #### removeEventListeners

          public void removeEventListeners()

      Specified by:
        `removeEventListeners` in interface `EventBasedNodeInstanceInterface`
      Overrides:
        `removeEventListeners` in class `StateBasedNodeInstance`

    - #### cancel

          public void cancel(NodeInstance.CancelType cancelType)

      Overrides:
        `cancel` in class `StateBasedNodeInstance`

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `org.kie.api.runtime.process.EventListener`
      Overrides:
        `signalEvent` in class `StateBasedNodeInstance`

    - #### retractFacts

          public void retractFacts()

    - #### processOutputs

          protected void processOutputs(Map<String,Object> objects)

    - #### evaluateParameters

          protected Map<String,Object> evaluateParameters(RuleSetNode ruleSetNode)

    - #### getSourceParameters

          protected Map<String,Object> getSourceParameters(DataAssociation association)

    - #### getFactHandles

          public Map<String,org.kie.api.runtime.rule.FactHandle> getFactHandles()

    - #### setFactHandles

          public void setFactHandles(Map<String,org.kie.api.runtime.rule.FactHandle> factHandles)

    - #### getRuleFlowGroup

          public String getRuleFlowGroup()

    - #### setRuleFlowGroup

          public void setRuleFlowGroup(String ruleFlowGroup)

    - #### actAsWaitState

          protected boolean actAsWaitState()

    - #### getContextInstances

          public List<ContextInstance> getContextInstances(String contextId)

      Specified by:
        `getContextInstances` in interface `ContextInstanceContainer`

    - #### addContextInstance

          public void addContextInstance(String contextId,
                                         ContextInstance contextInstance)

      Specified by:
        `addContextInstance` in interface `ContextInstanceContainer`

    - #### removeContextInstance

          public void removeContextInstance(String contextId,
                                            ContextInstance contextInstance)

      Specified by:
        `removeContextInstance` in interface `ContextInstanceContainer`

    - #### getContextInstance

          public ContextInstance getContextInstance(String contextId,
                                                    long id)

      Specified by:
        `getContextInstance` in interface `ContextInstanceContainer`

    - #### getContextInstance

          public ContextInstance getContextInstance(Context context)

      Specified by:
        `getContextInstance` in interface `ContextInstanceContainer`

    - #### getContextContainer

          public ContextContainer getContextContainer()

      Specified by:
        `getContextContainer` in interface `ContextInstanceContainer`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.